<%@ Register tagprefix="radW" namespace = "Telerik.WebControls" assembly="RadWindow" %>
<%@ Page language="c#" Codebehind="Default.aspx.cs" AutoEventWireup="false" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head id="Head1">
		<title>Window example</title>
		<script>
        function OpenWindow (WindowName)
        {
            window.radopen(null, WindowName);            
        }
        
        function OpenWindowWithParam (WindowName, ParamValue)
        {
            var oWindow = window.radopen(null, WindowName);
            oWindow.SetUrl("ParamWindow.html?paramName=" + escape(ParamValue));
        }
        
        function CloseWindow (WindowName) 
        {
            var oManager = GetRadWindowManager();
		    var oWindow = oManager.GetWindowByName(WindowName);
		    if (oWindow != null ) 
			{
				oWindow.Close();
			}
        }
		</script>
	</head>
	<body>
		<form id="form1" runat="server">
			<radw:radwindowmanager id="WindowManager1" runat="server">
				<windows>
					<radw:radwindow id="Window1" runat="server" width="275px" height="50px" navigateurl="./Description.htm"></radw:radwindow>
					<radw:radwindow id="Window2" top="150" left="10" runat="server" width="700px" height="150px"></radw:radwindow>
				</windows>
			</radw:radwindowmanager>
			<p>In some scenarios you may need to open a r.a.d.window when you hover your mouse 
				over an element and to close it when you move your mouse cursor out. For 
				example this approach can be used to show additional details about an item on 
				your page:
			</p>
			<span onmouseover="OpenWindow('Window1')" onmouseout="CloseWindow('Window1')">
				<asp:textbox id="TextBox1" runat="server" width="184px">Item name</asp:textbox>
			</span>
			<p>&nbsp;</p>
			<p>
				This is easilly achieved by surrounding the respective element with a 
				&lt;span&gt; tag with the appropriate <strong>onmouseover</strong> and <strong>onmouseout</strong>
				events.</p>
			<p>&nbsp;</p>
			<p>Another possible scenario, based on this logic is to open on mouse over a window 
				and pass a parameter to that window with a different value, depending on the 
				hovered item:</p>
			<p>&nbsp;</p>
			<span onmouseover="OpenWindowWithParam('Window2', 'paramValue1')" onmouseout="CloseWindow('Window2')">
				Hello, please mouseover me to open the r.a.d.<b>window</b> with paramvalue 1.</span><p>&nbsp;</p>
			<span onmouseover="OpenWindowWithParam('Window2', 'paramValue2')" onmouseout="CloseWindow('Window2')">
				Hello, please mouseover me to open the r.a.d.<b>window</b> with&nbsp;paramvalue 2.</span><p>&nbsp;</p>
			<span onmouseover="OpenWindowWithParam('Window2', 'paramValue3')" onmouseout="CloseWindow('Window2')">
				Hello, please mouseover me to open the r.a.d.<b>window</b> with paramvalue 3</span>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			</SPAN>
		</form>
	</body>
</html>
